/*
 * ##################################################
 * #                                                #
 * # rkDoubleSort                                   #
 * # Demo Java app for sorting double values        #
 * #                                                #
 * # Copyright (C) by René Knipschild               #
 * #                                                #
 * #                                email@rkcsd.com #
 * #                         www.reneknipschild.net #
 * #                                                #
 * ##################################################
 *
 * File: DoubleSorter.java - tools
 * Version: 1.0.0
 * Last modified: 2011/04/18 13:55 CEST
 * Author: rkCSD (go.reneknipschild.net/com)
 *
 * ===Notes==========================================
 * There are currently no notes.
 * ==================================================
 */

package com.rkcsd.apps.desktoptools.doublesort.tools;

public class DoubleSorter {
	public static int SORT_ASCENDING = 0;

	public static int SORT_DESCENDING = 1;
	
	public static double[] sort(double[] values, int mode) {
		if (values.length > 1) {
			boolean rightOrder = false;
			double temp = 0.0;
			switch (mode) {
				case 0:
					while (!rightOrder) {
						for (int i = 0; i < values.length - 1; i++) {
							if (values[i] <= values[i + 1]) {
								rightOrder = true;
							} else {
								temp = values[i];
								values[i] = values[i + 1];
								values[i + 1] = temp;
								rightOrder = false;
								break;
							}
						}
					}
					break;
				case 1:
					while (!rightOrder) {
						for (int i = values.length - 1; i > 0; i--) {
							if (values[i] <= values[i - 1]) {
								rightOrder = true;
							} else {
								temp = values[i];
								values[i] = values[i - 1];
								values[i - 1] = temp;
								rightOrder = false;
								break;
							}
						}
					}
					break;
			}
		}
		return values;
	}
}